Subject: Re: [PATCH v2] Add configuration variable for sign-off to format-patch

From: Heiko Voigt <[email-masked]>
Date: Mon, 6 Apr 2009 20:09:25 +0200

On Mon, Apr 06, 2009 at 01:36:24PM +0200, Matthieu Moy wrote:
> Andreas Ericsson <[email-masked]> writes:
> 
> > How about:
> > "Some projects (notably the Linux kernel and git itself) put special
> > meaning in a 'Signed-off-by' line while other's dont. Please refer
> > to your project's documentation for appropriate behaviour."
> >
> > Optionally with the following amendment:
> >
> > "In general, you should refrain from signing off on a patch containing
> > material that you're not sure can be legally spread under the project's
> > license."
> 
> To me, this is at least an improvement over refering to
> SubmittingPatches (which is targeted to Git contributors) in the
> documentation (targeted to Git users), yes.

To me too. When writing I was probably too focused on Git.

> Not sure whether these two sentences should come in the documentation
> for the config option or the command-line switch.

I think you should be able to get to this note from all locations where
this option is provided (+ the commit option) so maybe a link ?

cheers Heiko